#include <bits/stdc++.h>
using namespace std;
int main() {
    int n, s;
    cin >> n >> s;
    vector<int> visina(n);
    for (int i = 0; i < n; i++) 
        cin >> visina[i];
    for (int i = 0; i < n; i++) {
        if (visina[i] <= s) {
            cout << i + 1 << endl; 
            return 0;
        }
    }
    cout << -1 << endl;
    return 0;
}